package org.ow2.petals.engine.clock;

import java.io.File;

import org.ow2.petals.component.framework.DefaultBootstrap;

public class ClockBootstrap extends DefaultBootstrap {

    
    public void doInit(){
        //create SU directory
        File installationPath = new File(getInstallContext().getInstallRoot());        
        
        File suDir = new File(installationPath,"serviceUnit");
        File METAINF = new File(suDir,"META-INF");
        METAINF.mkdirs();
        //move su.xml and wsdl to su directory
        File suFile = new File(installationPath,"serviceUnit.xml");
        suFile.renameTo(new File(METAINF,"jbi.xml"));
        
        File wsdlFile = new File(installationPath,"ClockService.wsdl");
        wsdlFile.renameTo(new File(suDir,"ClockService.wsdl"));
        
    }
}
